org.apache.ignite.internal.managers

## Interface GridManager

All Superinterfaces:
  GridComponent

All Known Implementing Classes:
  GridCheckpointManager, GridCollisionManager, GridDeploymentManager, GridDiscoveryManager, GridEventStorageManager, GridFailoverManager, GridIndexingManager, GridIoManager, GridLoadBalancerManager, GridManagerAdapter, GridSwapSpaceManager

    @GridToStringExclude
    public interface GridManager
    extends GridComponent

This interface defines life-cycle for kernal manager. Managers provide layer of indirection between kernal and SPI modules. Kernel never calls SPI modules directly but rather calls manager that further delegate the apply to specific SPI module.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`boolean` `enabled()`
`void` `onAfterSpiStart()` This method executed after manager started SPI.
`void` `onBeforeSpiStart()` This method executed before manager will start SPI.

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

### Method Detail

#### enabled

    boolean enabled()

Returns:
  `true` if at least one SPI does not have a `NO-OP` implementation, `false` otherwise.

#### onBeforeSpiStart

    void onBeforeSpiStart()

This method executed before manager will start SPI.

#### onAfterSpiStart

    void onAfterSpiStart()

This method executed after manager started SPI.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016